this.name        = "shipclassequip-grade"; 
this.author      = "Redspear"; 
this.copyright   = "2015 Redspear";
this.licence     = "CC BY-NC-SA 4.0"; 
this.description = "Script to facilitate equipment availability by determining ship class"; 
this.version     = "0.3";

// classify player ship type upon starting game and install base equipment if not already present.
this.startUp = this.playerBoughtNewShip = function()
{
	if (player.ship.dataKey=="transporter-player" || player.ship.dataKey=="shuttle-player" || player.ship.dataKey=="moray-player" || player.ship.dataKey=="morayMED-player" || player.ship.dataKey=="hognose-player" || player.ship.dataKey=="anaconda-player" || player.ship.dataKey == "bug-player" || player.ship.dataKey == "worm-player" || player.ship.dataKey == "boa-player" || player.ship.dataKey == "adder-player" || player.ship.dataKey == "boa-mk2-player" || player.ship.dataKey == "griffin-player") 
		{player.ship.awardEquipment("EQ_SERVICE_GRADE");
		player.ship.injectorBurnRate = 0.35;
		player.ship.missileLoadTime = 5;
		player.ship.fuelChargeRate = 0.5;}

else
	if (player.ship.dataKey=="cobramk1-player" || player.ship.dataKey=="ferdelance-player" || player.ship.dataKey=="moray-player" || player.ship.dataKey=="morayMED-player" || player.ship.dataKey=="cobra3-player" || player.ship.dataKey=="python-player" || player.ship.dataKey == "gecko-player" || player.ship.dataKey == "krait-player" || player.ship.dataKey == "boa-player" || player.ship.dataKey == "adder-player" || player.ship.dataKey == "boa-mk2-player") 
		{player.ship.awardEquipment("EQ_CIVILIAN_GRADE");
		player.ship.injectorBurnRate = 0.25;
		player.ship.missileLoadTime = 3;
		player.ship.fuelChargeRate = 1.0;}
		
else
	if (player.ship.dataKey=="asp-player" || player.ship.dataKey=="sidewinder-player" || player.ship.dataKey=="viper-interceptor-player" || player.ship.dataKey=="viper-player" || player.ship.dataKey=="constrictor-player") 
		{player.ship.awardEquipment("EQ_MILITARY_GRADE");
		player.ship.injectorBurnRate = 0.15;
		player.ship.missileLoadTime = 1;
		player.ship.fuelChargeRate = 2.0;}
		
else	//oxp ship grade based on cargo to missile capacity ratio
	if (player.ship.missileCapacity>(player.ship.cargoSpaceCapacity/4))
		{player.ship.awardEquipment("EQ_MILITARY_GRADE");
		player.ship.injectorBurnRate = 0.15;
		player.ship.missileLoadTime = 1;
		player.ship.fuelChargeRate = 2.0;}
		
else	
	if (player.ship.missileCapacity>(player.ship.cargoSpaceCapacity/6))
		{player.ship.awardEquipment("EQ_CIVILIAN_GRADE");
		player.ship.injectorBurnRate = 0.25;
		player.ship.missileLoadTime = 3;
		player.ship.fuelChargeRate = 1.0;}

else	
		{player.ship.awardEquipment("EQ_SERVICE_GRADE");
		player.ship.injectorBurnRate = 0.35;
		player.ship.missileLoadTime = 5;
		player.ship.fuelChargeRate = 0.5;}
		
}
	//effects due to having fuel scoops installed/damaged
this.equipmentDestroyed = this.equipmentDamaged = function(equipment) {
	if (equipment === "EQ_FUEL_SCOOPS")
		player.ship.injectorBurnRate += 0.05;		
}

this.equipmentRepaired = this.equipmentAdded = function(equipment) {
	if (equipment === "EQ_HEAT_SHIELD")
		player.ship.injectorBurnRate -= 0.05;	
}