this.name        = "shipclassequip-hull"; 
this.author      = "Redspear"; 
this.copyright   = "2015 Redspear";
this.licence     = "CC BY-NC-SA 4.0"; 
this.description = "Script to facilitate equipment availability by determining ship class"; 
this.version     = "0.3";

// classify player ship type upon starting game and install base equipment if not already present.
this.startUp = this.playerBoughtNewShip = function()
{
	if (player.ship.dataKey=="transporter-player" || player.ship.dataKey=="shuttle-player" || player.ship.dataKey == "adder-player" || player.ship.dataKey == "gecko-player" ||player.ship.dataKey == "gnat-player" || player.ship.dataKey == "mamba-player" || player.ship.dataKey == "viper-player" || player.ship.dataKey == "sidewinder-player" || player.ship.dataKey == "viper-interceptor-player")
		{player.ship.awardEquipment("EQ_SMALL_HULL");
		player.ship.extraCargo = 3;
		player.ship.injectorSpeedFactor = 11;
		player.ship.maxAftShield = player.ship.maxForwardShield / 2;}
	
else	
	if (player.ship.dataKey=="cobramk1-player" || player.ship.dataKey=="ferdelance-player" || player.ship.dataKey=="moray-player" || player.ship.dataKey=="morayMED-player" || player.ship.dataKey=="constrictor-player" || player.ship.dataKey == "krait-player" || player.ship.dataKey == "asp-player")
		{player.ship.awardEquipment("EQ_MEDIUM_HULL");
		player.ship.extraCargo = 7;
		player.ship.injectorSpeedFactor = 9;
		player.ship.maxAftShield = player.ship.maxForwardShield / 1.5;}
	
else
	if (player.ship.dataKey=="cobra3-player" || player.ship.dataKey=="python-player" || player.ship.dataKey=="boa-player" || player.ship.dataKey=="boa-mk2-player" || player.ship.dataKey=="anaconda-player")
		{player.ship.awardEquipment("EQ_LARGE_HULL");
		player.ship.extraCargo = 15;
		player.ship.injectorSpeedFactor = 7;
		player.ship.maxAftShield = player.ship.maxForwardShield;}
		
else	//oxp ships hull size based on cargo capacity rather than mass (compatible with rescaling)
	if (player.ship.cargoSpaceCapacity>19)
		{player.ship.awardEquipment("EQ_LARGE_HULL");
		player.ship.extraCargo = 15;
		player.ship.injectorSpeedFactor = 7;
		player.ship.maxAftShield = player.ship.maxForwardShield;}
		
else	
	if (player.ship.cargoSpaceCapacity>5)
		{player.ship.awardEquipment("EQ_MEDIUM_HULL");
		player.ship.extraCargo = 7;
		player.ship.injectorSpeedFactor = 9;
		player.ship.maxAftShield = player.ship.maxForwardShield / 1.5;}
		
else
		{player.ship.awardEquipment("EQ_SMALL_HULL");
		player.ship.extraCargo = 3;
		player.ship.injectorSpeedFactor = 11;
		player.ship.maxAftShield = player.ship.maxForwardShield / 2;}
}	