this.name        = "shipclassequip-tech"; 
this.author      = "Redspear"; 
this.copyright   = "2015 Redspear";
this.licence     = "CC BY-NC-SA 3.0"; 
this.description = "Script to facilitate equipment availability by determining ship class"; 
this.version     = "0.3";

// classify player ship type upon starting game and install base equipment if not already present.
this.startUp = this.playerBoughtNewShip = function()
{
	if (player.ship.dataKey=="transporter-player" || player.ship.dataKey=="anaconda-player" || player.ship.dataKey=="shuttle-player" || player.ship.dataKey == "bug-player" || player.ship.dataKey=="gecko-player" || player.ship.dataKey == "cobramk1-player" || player.ship.dataKey == "python-player" || player.ship.dataKey == "viper-player" || player.ship.dataKey == "asp-player") //&& (player.ship.equipmentStatus("EQ_STANDARD_TECH") === "EQUIPMENT_UNAVAILABLE")
		{player.ship.awardEquipment("EQ_LOW_TECH");
		player.ship.sunGlareFilter = 0.0;
		player.ship.hyperspaceSpinTime = 25;
		player.ship.renovationMultiplier = 0.5;}

else
	if (player.ship.dataKey=="sidewinder-player" || player.ship.dataKey=="wolf-player" || player.ship.dataKey=="moray-player" || player.ship.dataKey == "morayMED-player" || player.ship.dataKey=="adder-player" || player.ship.dataKey == "boa-player" || player.ship.dataKey == "krait-player" || player.ship.dataKey == "gnat-player" || player.ship.dataKey == "ophidian-player" || player.ship.dataKey == "griffboa-player") //&& (player.ship.equipmentStatus("EQ_STANDARD_TECH") === "EQUIPMENT_UNAVAILABLE")
		{player.ship.awardEquipment("EQ_STANDARD_TECH");
		player.ship.sunGlareFilter = 0.33;
		player.ship.hyperspaceSpinTime = 20;
		player.ship.renovationMultiplier = 0.75;}
		
else
	if (player.ship.dataKey=="cobra3-player" || player.ship.dataKey=="ferdelance-player" || player.ship.dataKey=="constrictor-player" || player.ship.dataKey=="boa-mk2-player" || player.ship.dataKey=="worm-player" || player.ship.dataKey=="mamba-player" || player.ship.dataKey == "viper-interceptor-player" || player.ship.dataKey == "griffin-player") //&& (player.ship.equipmentStatus("EQ_HIGH_TECH") === "EQUIPMENT_UNAVAILABLE")
		{player.ship.awardEquipment("EQ_HIGH_TECH");
		player.ship.sunGlareFilter = 0.66;
		player.ship.hyperspaceSpinTime = 15;
		player.ship.renovationMultiplier = 1.0;}
		
else	//oxp ship tech based on recharge rate
	if (player.ship.energyRechargeRate>3)
		{player.ship.awardEquipment("EQ_HIGH_TECH");
		player.ship.sunGlareFilter = 0.66;
		player.ship.hyperspaceSpinTime = 15;
		player.ship.renovationMultiplier = 1.0;}
		
else	
	if (player.ship.energyRechargeRate>2)
		{player.ship.awardEquipment("EQ_STANDARD_TECH");
		player.ship.sunGlareFilter = 0.33;	
		player.ship.hyperspaceSpinTime = 20;
		player.ship.renovationMultiplier = 0.75;}

else
		{player.ship.awardEquipment("EQ_LOW_TECH");	
		player.ship.sunGlareFilter = 0.0;
		player.ship.hyperspaceSpinTime = 25;
		player.ship.renovationMultiplier = 0.5;}
}
	//effects due to having heat shielding and the advanced navigation array installed/damaged - heat shielding idea by spara
this.equipmentDestroyed = this.equipmentDamaged = function(equipment) {
	if (equipment === "EQ_HEAT_SHIELD")
		player.ship.sunGlareFilter -= 0.25;	
		
	if (equipment === "EQ_ADVANCED_NAVIGATIONAL_ARRAY")
		player.ship.hyperspaceSpinTime += 5;		
}

this.equipmentRepaired = this.equipmentAdded = function(equipment) {
	if (equipment === "EQ_HEAT_SHIELD")
		player.ship.sunGlareFilter += 0.25;	
		
	if (equipment === "EQ_ADVANCED_NAVIGATIONAL_ARRAY")
		player.ship.hyperspaceSpinTime -= 5;	
}